[stunnel-users] STOP REMOVING OLD RELEASE TARBALLS FOR GODS SAKE

John Spencer maillist-stunnel at barfooze.de
Mon Oct 20 17:10:43 CEST 2014


hello,

5 days ago i noticed that my stunnel source package was *again* broken 
because some clown removed the previous version's download from the 
download server, so i bite the bullet and upgraded to latest (5.05).
today, doing a testbuild i got a again a 404 and was forced again to 
update to latest stunnel download. this is fucking frustrating.

i really have better things to do than to update my package recipes 
whenever a new stunnel release comes out (and that's not just me).

SO COULD YOU PLEASE FINALLY LEAVE YOUR PAST RELEASES ON THE DOWNLOAD 
MIRROR LIKE ANYONE ELSE DOES ? THANKS.

and no, even if a security flaw in non-latest was discovered that's 
still no reason to silently delete the old tarballs.

thanks,
--JS

P.S. the latest stunnel still does not link against libreSSL instead of 
openssl, due to bogus usage of RAND_egd() as mentioned a quarter year 
ago in my blog:
http://devsonacid.wordpress.com/2014/07/12/how-compatible-is-libressl/


More information about the stunnel-users mailing list